'use strict';

// This no longer uses requireindex to automatically require the controllers because it makes problems with the controllers harder
// to debug. Requiring each controller specifically allows a breakpoint to be placed inside this file and see which controller
// stops things from happening if the app isn't starting. requireindex makes things harder because you need to put a breakpoint in
// each file. Seeing as there's only a handful of controllers and we're not going to add them all the time, it's easier to require
// them specifically.
//module.exports = require('requireindex')(__dirname);

var AccountController = require('./AccountController');
var AuthenticationController = require('./AuthenticationController');
var ConfigController = require('./ConfigController');
var DocumentController = require('./DocumentController');
var SessionTestController = require('./SessionTestController');
var TimeController = require ('./TimeController');
var UploadFileController = require('./UploadFileController');
var ComponentFunctionController = require('./ComponentFunctionController');
var ComponentLoadController = require('./ComponentLoadController');
var ClientResourceController = require('./ClientResourceController');
var PackageController = require('./PackageController');
var SearchExportController = require('./SearchExportController');
var HealthCheckController = require('./HealthCheckController');
const DocumentSyncController = require('./DocumentSyncController');

module.exports = {
    AccountController: AccountController,
    AuthenticationController: AuthenticationController,
    ConfigController: ConfigController,
    DocumentController: DocumentController,
    SessionTestController: SessionTestController,
    TimeController: TimeController,
    UploadFileController: UploadFileController,
    ComponentFunctionController: ComponentFunctionController,
    ComponentLoadController: ComponentLoadController,
    ClientResourceController: ClientResourceController,
    PackageController,
    SearchExportController,
    HealthCheckController: HealthCheckController,
    DocumentSyncController: DocumentSyncController
};
